File: metadata.yml

package info (click to toggle)
ruby-rails-observers 0.1.1-1
  • links: PTS, VCS
  • area: main
  • in suites: jessie, jessie-kfreebsd
  • size: 268 kB
  • ctags: 233
  • sloc: ruby: 1,522; makefile: 2
file content (218 lines) | stat: -rw-r--r-- 5,883 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
--- !ruby/object:Gem::Specification
name: rails-observers
version: !ruby/object:Gem::Version
  version: 0.1.1
  prerelease: 
platform: ruby
authors:
- Rafael Mendonça França
- Steve Klabnik
autorequire: 
bindir: bin
cert_chain: []
date: 2012-11-29 00:00:00.000000000 Z
dependencies:
- !ruby/object:Gem::Dependency
  name: railties
  requirement: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: 4.0.0.beta
  type: :runtime
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: 4.0.0.beta
- !ruby/object:Gem::Dependency
  name: minitest
  requirement: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: '3'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: '3'
- !ruby/object:Gem::Dependency
  name: activerecord
  requirement: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: 4.0.0.beta
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: 4.0.0.beta
- !ruby/object:Gem::Dependency
  name: activemodel
  requirement: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: 4.0.0.beta
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: 4.0.0.beta
- !ruby/object:Gem::Dependency
  name: actionmailer
  requirement: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: 4.0.0.beta
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: 4.0.0.beta
- !ruby/object:Gem::Dependency
  name: actionpack
  requirement: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: 4.0.0.beta
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: 4.0.0.beta
- !ruby/object:Gem::Dependency
  name: sqlite3
  requirement: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: '1.3'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: '1.3'
description: Rails observer (removed from core in Rails 4.0)
email:
- rafaelmfranca@gmail.com
- steve@steveklabnik.com
executables: []
extensions: []
extra_rdoc_files: []
files:
- .gitignore
- .travis.yml
- Gemfile
- LICENSE
- README.md
- Rakefile
- lib/generators/active_record/observer/observer_generator.rb
- lib/generators/active_record/observer/templates/observer.rb
- lib/generators/rails/observer/USAGE
- lib/generators/rails/observer/observer_generator.rb
- lib/generators/test_unit/observer/observer_generator.rb
- lib/generators/test_unit/observer/templates/unit_test.rb
- lib/rails-observers.rb
- lib/rails/observers/action_controller/caching.rb
- lib/rails/observers/action_controller/caching/sweeping.rb
- lib/rails/observers/active_model/active_model.rb
- lib/rails/observers/active_model/observer_array.rb
- lib/rails/observers/active_model/observing.rb
- lib/rails/observers/activerecord/active_record.rb
- lib/rails/observers/activerecord/base.rb
- lib/rails/observers/activerecord/observer.rb
- lib/rails/observers/version.rb
- rails-observers.gemspec
- rails-observers.gemspec.erb
- test/configuration_test.rb
- test/console_test.rb
- test/fixtures/developers.yml
- test/fixtures/minimalistics.yml
- test/fixtures/topics.yml
- test/generators/generators_test_helper.rb
- test/generators/namespaced_generators_test.rb
- test/generators/observer_generator_test.rb
- test/helper.rb
- test/isolation/abstract_unit.rb
- test/lifecycle_test.rb
- test/models/observers.rb
- test/observer_array_test.rb
- test/observing_test.rb
- test/rake_test.rb
- test/sweeper_test.rb
- test/transaction_callbacks_test.rb
homepage: https://github.com/rails/rails-observers
licenses: []
post_install_message: 
rdoc_options: []
require_paths:
- lib
required_ruby_version: !ruby/object:Gem::Requirement
  none: false
  requirements:
  - - ! '>='
    - !ruby/object:Gem::Version
      version: '0'
required_rubygems_version: !ruby/object:Gem::Requirement
  none: false
  requirements:
  - - ! '>='
    - !ruby/object:Gem::Version
      version: '0'
requirements: []
rubyforge_project: 
rubygems_version: 1.8.23
signing_key: 
specification_version: 3
summary: ActiveModel::Observer, ActiveRecord::Observer and ActionController::Caching::Sweeper
  extracted from Rails.
test_files:
- test/configuration_test.rb
- test/console_test.rb
- test/fixtures/developers.yml
- test/fixtures/minimalistics.yml
- test/fixtures/topics.yml
- test/generators/generators_test_helper.rb
- test/generators/namespaced_generators_test.rb
- test/generators/observer_generator_test.rb
- test/helper.rb
- test/isolation/abstract_unit.rb
- test/lifecycle_test.rb
- test/models/observers.rb
- test/observer_array_test.rb
- test/observing_test.rb
- test/rake_test.rb
- test/sweeper_test.rb
- test/transaction_callbacks_test.rb